PipeWire: protocol.c File Reference

PipeWire 0.3.6

Macros | Functions
protocol.c File Reference
Include dependency graph for protocol.c:

## Macros
#define | NAME "protocol"

## Functions
SPA_EXPORT struct pw_protocol * | pw_protocol_new (struct pw_context *context, const char *name, size_t user_data_size)
SPA_EXPORT struct pw_context * | pw_protocol_get_context (struct pw_protocol *protocol)
SPA_EXPORT void * | pw_protocol_get_user_data (struct pw_protocol *protocol)
SPA_EXPORT const struct pw_protocol_implementaton * | pw_protocol_get_implementation (struct pw_protocol *protocol)
SPA_EXPORT const void * | pw_protocol_get_extension (struct pw_protocol *protocol)
SPA_EXPORT void | pw_protocol_destroy (struct pw_protocol *protocol)
SPA_EXPORT void | pw_protocol_add_listener (struct pw_protocol *protocol, struct spa_hook *listener, const struct pw_protocol_events *events, void *data)
SPA_EXPORT int | pw_protocol_add_marshal (struct pw_protocol *protocol, const struct pw_protocol_marshal *marshal)
SPA_EXPORT const struct pw_protocol_marshal * | pw_protocol_get_marshal (struct pw_protocol *protocol, const char *type, uint32_t version, uint32_t flags)
SPA_EXPORT struct pw_protocol * | pw_context_find_protocol (struct pw_context *context, const char *name)

## Macro Definition Documentation

## ◆ NAME

#define NAME "protocol"

## Function Documentation

## ◆ pw_context_find_protocol()

SPA_EXPORT struct pw_protocol* pw_context_find_protocol | ( | struct pw_context * | context,
|  | const char * | name
| ) |  |

## ◆ pw_protocol_add_listener()

SPA_EXPORT void pw_protocol_add_listener | ( | struct pw_protocol * | protocol,
|  | struct spa_hook * | listener,
|  | const struct pw_protocol_events * | events,
|  | void * | data
| ) |  |

References pw_protocol_client::protocol.

## ◆ pw_protocol_add_marshal()

SPA_EXPORT int pw_protocol_add_marshal | ( | struct pw_protocol * | protocol,
|  | const struct pw_protocol_marshal * | marshal
| ) |  |

References NAME, pw_log::pw_log_debug, pw_protocol_marshal::type, and pw_protocol_marshal::version.

## ◆ pw_protocol_destroy()

SPA_EXPORT void pw_protocol_destroy | ( | struct pw_protocol * | protocol | ) |

References pw_protocol_client::link, NAME, pw_protocol_client::protocol, pw_log::pw_log_debug, pw_protocol_client_destroy, and pw_protocol_server_destroy.

## ◆ pw_protocol_get_context()

SPA_EXPORT struct pw_context* pw_protocol_get_context | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_get_extension()

SPA_EXPORT const void* pw_protocol_get_extension | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_get_implementation()

SPA_EXPORT const struct pw_protocol_implementaton* pw_protocol_get_implementation | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_get_marshal()

SPA_EXPORT const struct pw_protocol_marshal* pw_protocol_get_marshal | ( | struct pw_protocol * | protocol,
|  | const char * | type,
|  | uint32_t | version,
|  | uint32_t | flags
| ) |  |

References NAME, and pw_log::pw_log_debug.

Referenced by pw_proxy_install_marshal(), and pw_resource_install_marshal().

## ◆ pw_protocol_get_user_data()

SPA_EXPORT void* pw_protocol_get_user_data | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_new()

SPA_EXPORT struct pw_protocol* pw_protocol_new | ( | struct pw_context * | context,
|  | const char * | name,
|  | size_t | user_data_size
| ) |  |

References NAME, and pw_log::pw_log_debug.